/*
 * JPA entity Metadaten
 *
 */
package de.ivu.elect.business.aufgabe.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.aufgabe.entity.AufgabeKommentarConstants;
import de.ivu.elect.jee.faces.Messages;

@Named(AufgabeKommentarMeta.COMPONENT_NAME)
@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class AufgabeKommentarMeta implements de.ivu.elect.jee.entity.Meta
{

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "aufgabeKommentarMeta";

  @Inject
  private transient Messages messages;

  public AufgabeKommentarMeta() {
      super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey(){
    return AufgabeKommentarConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public  String getMehrzahlMessageKey(){
    return AufgabeKommentarConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage(){
    return getMessage(getMehrzahlMessageKey());
  }



  public String getAutorEinzahlMessageKey(){
    return AufgabeKommentarConstants.MESSAGE_KEY_AUTOR_EINZAHL;
  }

  public String getAutorMehrzahlMessageKey(){
    return AufgabeKommentarConstants.MESSAGE_KEY_AUTOR_MEHRZAHL;
  }


  public String getAutorEinzahlMessage(){
    return getMessage(getAutorEinzahlMessageKey());
  }

  public String getAutorMehrzahlMessage(){
    return getMessage(getAutorMehrzahlMessageKey());
  }



  public boolean isAutorRequired() {
    return !AufgabeKommentarConstants.AUTOR_NULLABLE;
  }

  public java.lang.String getAutorDefaultValue() {
    return AufgabeKommentarConstants.AUTOR_DEFAULT_VALUE;
  }

  public int getAutorMaxLength() {
    return AufgabeKommentarConstants.AUTOR_MAX_LENGTH;
  }

  public String getKommentarEinzahlMessageKey(){
    return AufgabeKommentarConstants.MESSAGE_KEY_KOMMENTAR_EINZAHL;
  }

  public String getKommentarMehrzahlMessageKey(){
    return AufgabeKommentarConstants.MESSAGE_KEY_KOMMENTAR_MEHRZAHL;
  }


  public String getKommentarEinzahlMessage(){
    return getMessage(getKommentarEinzahlMessageKey());
  }

  public String getKommentarMehrzahlMessage(){
    return getMessage(getKommentarMehrzahlMessageKey());
  }



  public boolean isKommentarRequired() {
    return !AufgabeKommentarConstants.KOMMENTAR_NULLABLE;
  }

  public java.lang.String getKommentarDefaultValue() {
    return AufgabeKommentarConstants.KOMMENTAR_DEFAULT_VALUE;
  }

  public int getKommentarMaxLength() {
    return AufgabeKommentarConstants.KOMMENTAR_MAX_LENGTH;
  }

  public String getZeitpunktEinzahlMessageKey(){
    return AufgabeKommentarConstants.MESSAGE_KEY_ZEITPUNKT_EINZAHL;
  }

  public String getZeitpunktMehrzahlMessageKey(){
    return AufgabeKommentarConstants.MESSAGE_KEY_ZEITPUNKT_MEHRZAHL;
  }


  public String getZeitpunktEinzahlMessage(){
    return getMessage(getZeitpunktEinzahlMessageKey());
  }

  public String getZeitpunktMehrzahlMessage(){
    return getMessage(getZeitpunktMehrzahlMessageKey());
  }



  public boolean isZeitpunktRequired() {
    return !AufgabeKommentarConstants.ZEITPUNKT_NULLABLE;
  }

  public java.util.Date getZeitpunktDefaultValue() {
    return AufgabeKommentarConstants.ZEITPUNKT_DEFAULT_VALUE;
  }



  public String getAufgabeEinzahlMessageKey(){
    return AufgabeKommentarConstants.MESSAGE_KEY_AUFGABE_ID_EINZAHL;
  }

  public String getAufgabeEinzahlMessage(){
    return getMessage(getAufgabeEinzahlMessageKey());
  }

  public boolean isAufgabeRequired() {
    return !AufgabeKommentarConstants.AUFGABE_ID_NULLABLE;
  }

}